Mein erstes Linux. Also folgendes. Ich habe mir ein Programm runter geladen nach Downloads und die heißt :sav-linux-free-9.tgz Ich habe die geöffnet und ein 2.?

...komplette Frage anzeigen

1 Antwort

Antwort bewerten Vielen Dank für Deine Bewertung
Kommentar von Bodisami
30.04.2016, 08:48

Das hilft mir als Linux Anfänger leider nicht weiter. Wenn ich die install datei öffne mit einem Schreibeditor, erscheint dann folgendes:

#!/bin/sh
BASEDIR=`dirname $0`
echo $BASEDIR | grep "^/" >/dev/null
if [ $? -ne 0 ] ; then
BASEDIR=`pwd`/$BASEDIR
fi
if [ "" = "$TMPDIR" ] ; then
TMPDIR=/tmp
fi
_mktemp=`which mktemp 2>/dev/null`
if [ -x "${_mktemp}" ] ; then
tmpdirTemplate="$TMPDIR/sophos_distribution_XXXXXXX"
SOPHOS_INSTALL_TMP=`${_mktemp} -d ${tmpdirTemplate}`
[ $? = 0 ] || { echo "Could not create temporary directory" 1>&2 ; exit 1 ; }
else
_od=`which od 2>/dev/null`
if [ -x "${_od}" ] ; then
_random=/dev/urandom
[ -f "${_random}" ] || _random=/dev/random
SOPHOS_INSTALL_TMP=$TMPDIR/sophos_distribution_`${_od} -An -N16 -tu2 "${_random}" | tr -d " \t\r\n"`.$$
else
SOPHOS_INSTALL_TMP=$TMPDIR/sophos_distribution_${RANDOM-0}.${RANDOM-0}.${RANDOM-0}.$$
fi

[ -d "${SOPHOS_INSTALL_TMP}" ] && { echo "Temporary directory already exists" 1>&2 ; exit 1 ; }
(umask 077 && mkdir ${SOPHOS_INSTALL_TMP}) || { echo "Could not create temporary directory" 1>&2 ; exit 1 ; }
fi
if [ ! -d "${SOPHOS_INSTALL_TMP}" ] ; then
echo "Could not create temporary directory" 1>&2
exit 1
fi

export SOPHOS_INSTALL_TMP
cd $SOPHOS_INSTALL_TMP
tar xf "$BASEDIR/sav.tar"
[ -f "$BASEDIR/uncdownload.tar" ] && tar xf "$BASEDIR/uncdownload.tar"
[ -f "$BASEDIR/talpa.tar" ] && tar xf "$BASEDIR/talpa.tar"
sophos-av/install.sh "$@"
RETCODE=$?
cd /
rm -rf $SOPHOS_INSTALL_TMP
exit $RETCODE

Das gebe ich dann in den Terminal ein und bestätige mit der Eingabetaste. Danach verfärbt sich alles in grün und nichts passiert?

0

Was möchtest Du wissen?